Bug 99368 - Wrong routes are set up
Wrong routes are set up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 01:17 EDT by Gabriel Schulhof
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2003-07-18 01:17:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030530 Galeon/1.3.4

Description of problem:
Since the version of redhat-config-network as shipped with version 9 is useless
(all it does is crash), I decided to grab the rawhide version.  It works fine,
except it fails under the following scenario:

eth0: Configured via DHCP to grab a real Internet IP.
eth0:1 Fixed local IP: 192.168.1.66 netmask 255.255.255.192

I set up the following static route for eth0:1

Network: 192.168.1.0
Netmask: 255.255.255.0
Gateway: 192.168.1.65

That is, I want to access the rest of my 192.168.1.0/24 network via 192.168.1.65 .

It works fine, the app doesn't crash, and even ifup-routes seems to assemble the
ip command line OK (I know, because I added 

echo "$line" >> /some/log/file 

before /sbin/ip route add $line into the script).  The command line becomes

/sbin/ip route add 192.168.1.0/24 via 192.168.1.65 dev eth0:1

All seems well, right ? Wrong.  The route that ends up being added to the table
is equivalent to

route add -net 0.0.0.0 netmask 0.0.0.0 gw 192.168.1.0 dev eth0

instead of

route add -net 192.168.1.0 netmask 255.255.255.0 gw 192.168.1.65 dev eth0

When I try to duplicate the command line executed from the script, I get

Cannot find device "eth0:1"

... not to mention that the route (even the wrong one) doesn't get added every
time I perform ifup eth0 (It's a pcmcia card and this route only gets added if I
perform (cardctl eject ; cardctl insert ;) .

Version-Release number of selected component (if applicable):
redhat-config-network-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. Add a route as prescribed above to an IP alias as described above
2. Bring up the interface
3. Behold the wrong route in your routing table
    

Actual Results:  A default gateway was added despite my specifying a route to a
single network.

Expected Results:  A static route to a particular network via a particular gateway.

Additional info:
Comment 1 Harald Hoyer 2003-08-05 04:01:25 EDT
you should use version 1.2.14 from
http://people.redhat.com/harald/redhat-config-network/
Comment 2 Harald Hoyer 2004-06-04 06:04:45 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.